curl -X DELETE "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
النطاقات المخصصة
إزالة نطاق مخصص
DELETE /custom-domain//
DELETE
/
custom-domain
/
{pk}
/
curl -X DELETE "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
يفصل نطاقًا مخصصًا عن الحساب، على مضيف Management API (
عملية ناجحة تعيد
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
DELETE https://api.scanova.io/custom-domain/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
يتطلب صلاحية
CUSTOM_DOMAIN_CAN_DELETE.integer
مطلوب
معرّف
id الخاص بالنطاق.curl -X DELETE "https://api.scanova.io/custom-domain/42/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
204 No Content.
يجب فك ارتباط رموز QR أولًا
إذا كان النطاق لا يزال مرتبطًا بأي رمز QR — بما في ذلك ما هو في سلة المحذوفات — فإن هذا الاستدعاء يعيد400 مع {"error": ["This domain is linked to QR Code(s)... Delete permanently the QR Code(s) first..."]} بدلًا من إزالته. احذف رموز QR المرتبطة نهائيًا (وليس فقط إلى سلة المحذوفات) قبل إعادة المحاولة. يُعاد 404 إذا لم يكن pk نطاقًا مملوكًا لهذا الحساب.
ذات صلة
- الحصول على نطاق مخصص — التحقق من رموز QR المرتبطة قبل الحذف.
- سرد النطاقات المخصصة — الاطلاع على ما هو متصل غير ذلك.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
معلمات المسار
الاستجابة
Domain removed.
هل كانت هذه الصفحة مفيدة؟